Setting up ghc for GPH and GranSim
Fri, 21 Dec 2001 17:52:00 +0000 (GMT)

Hi all,

I'm new to both this list and Haskell, so apologies if these questions
have been answered before or seem obvious.  I've trawled the website and
my suspicion is that I'm using a 'too new' version of the compiler that
doesn't support GranSim.  Anyway:

I'm trying to set up a ghc.  I want to compile GPH programs and run them
on GranSim.

With my current setup (details at the bottom of the mail) I get the
following error when I try to compile a GPH program:
[mjb67@mjb67 mjb67]$ ghc -gransim -fvia-c -fglasgow-exts --make parfib.hs 
ghc-5.02.1: can't find module `Prelude'

Does anyone have any idea what I might be doing wrong?  The error is
reported even when the program is normal Haskell, whenever I use the
-gransim or -parallel options to the compiler.  I presume this is some
sort of library issue?

My compiler was set up in the following way:

I installed the binary RPMs:

I downloaded the source RPM from:

I unpacked the source.

I then typed (in the source root directory)
./configure --enable-gransim
make install

Thanks in advance,